function conKrn=GetConvKrn(Trn_drug_list,Trn_PPI_list,sim_drug,sim_pro,protein_list,targetPPI_list)

% this procedure is to reture convolution kernel of drug-PPI pairs for
% training

m=length(Trn_drug_list);
Krn=ones(m,m);

for i=1:m
    for j=i+1:m
        A=targetPPI_list(Trn_PPI_list(i),:);
        p1=find(protein_list==A(1));
        p2=find(protein_list==A(2));
        B=targetPPI_list(Trn_PPI_list(j),:);
        q1=find(protein_list==B(1));
        q2=find(protein_list==B(2));
        a=sim_drug(Trn_drug_list(i),Trn_drug_list(j))*sim_pro(p1,q1);
        b=sim_drug(Trn_drug_list(i),Trn_drug_list(j))*sim_pro(p1,q2);
        c=sim_drug(Trn_drug_list(i),Trn_drug_list(j))*sim_pro(p2,q1);
        d=sim_drug(Trn_drug_list(i),Trn_drug_list(j))*sim_pro(p2,q2);
        Krn(i,j)=max([a,b,c,d]);
        %Krn(i,j)=sum([a,b,c,d]);
        clear A;
        clear B;
        Krn(j,i)=Krn(i,j);
    end
end

conKrn=Krn;